Package com.ads.services.webservice

# Class KeyValueService

java.lang.Object
com.ads.services.webservice.KeyValueService

public class KeyValueService extends Object
Contains the methods to perform operations like adding, updating, deleting and retrieving the key value pairs.
In order to implement these operations on key values, usage of collection classes is being employed.
All the WebServices methods have return type String - meaning if the method is execution is successful, then it will return a string in the form of JSON or XML String based on the outputFormat parameter given by the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyValueService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addKeyValue(String userName, String password, String outputFormat, String key, String value, String objectTypeId, String objectId)`
  Deprecated.
  `String`
  `addKeyValueForObjectIds(String userName, String password, String outputFormat, String key, String value, String objectTypeId, String objectIdListJson)`
  Deprecated.
  `String`
  `addKeyValueForObjectTypeIdsMap(String userName, String password, String outputFormat, String Key, String Value, String ObjectTypeIdsListOfObjectIdsJson)`
  Deprecated.
  `String`
  `addKeyValueObject(String userName, String password, String outputFormat, String keyValuejson)`
  Inserts a single KeyValue pair object for the specified KeyValue object,objectTypeId and objectId.OutputFormat can be either JSON or XML.
  `String`
  `addKeyValueObjectByObjectId(String userName, String password, String outputFormat, String keyValuejson, String objectType, String objectId)`
  Inserts a single KeyValue pair object for the specified KeyValue object,objectTypeId and objectId.OutputFormat can be either JSON or XML.
  `String`
  `addKeyValueObjects(String userName, String password, String outputFormat, String keyValuejsonlist, String objectType, String objectId)`
  Inserts a multiple KeyValue pair objects for the specified List of KeyValue objects,objectTypeId and objectId.OutputFormat can be either JSON or XML.
  `String`
  `addKeyValueObjectsMap(String userName, String password, String outputFormat, String objectType, String objectIdsListOfKeyValuesJson)`
  Inserts multiple key-value pair objects for the specified node type and given objectIds along with key-value objects.
  `String`
  `addKeyValuesForObjectId(String userName, String password, String outputFormat, String keyvalueMapJson, String objectTypeId, String objectId)`
  Deprecated.
  `String`
  `addKeyValuesForObjectIds(String userName, String password, String outputFormat, String keyvalueMapJson, String objectTypeId, String objectIdListJson)`
  Deprecated.
  `String`
  `addKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String keyValueMapJson, String ObjectTypeIdsListOfObjectIdsJson)`
  Deprecated.
  `String`
  `deleteAllKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)`
  Deletes all Keys for the specified ObjectId and ObjectTypeId.
  `String`
  `deleteAllKeyValuesForObjectIds(String userName, String password, String outputFormat, String objectTypeId, String listobjectIdsJson)`
  Delete all Keys for the specified ObjectTypeId and List of ObjectId's.
  `String`
  `deleteAllKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String mapOfObjectTypeIdsWithListOfObjectIdsJson)`
  Deletes all Keys for the specified Map of ObjectTypeId and List of ObjectId's.
  `String`
  `deleteKeyValueByIds(String userName, String password, String outputFormat, String keyIdsMapJson)`
  Deletes all Keys for the specified List of keyId's.
  `String`
  `deleteKeyValueByName(String userName, String password, String outputFormat, String key, String objectTypeId, String objectId)`
  Deletes all Keys for the specified Key, ObjectId and Object Type Id.outputFormat can be either JSON or XML.
  `String`
  `deleteKeyValuesByNameForObjectId(String userName, String password, String outputFormat, String listkeysJson, String objectTypeId, String objectId)`
  Deletes all Keys for the specified List of keys, ObjectId and ObjectTypeId.
  `String`
  `getAllKeyIdsForObjectTypeIdsMap(String userName, String password, String outputFormat, String ObjectTypeIdListObjectId)`
  Returns the Map of keyId's for the specified Map of objectTypeId and List of objectIds.
  `String`
  `getAllKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)`
  Returns the key value pairs for the specified objectTypeId and objectId.outputFormat can be either JSON or XML.
  `String`
  `getAllKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String ObjectTypeIdsMapWithObjectIdsListJson)`
  Returns Map of Key Value pairs for the specified Map of objectTypeId's and List of objectId's.outputFormat can be either JSON or XML.
  `String`
  `getKeyIdsByName(String userName, String password, String outputFormat, String key, String objectTypeId, String objectId)`
  Returns the List of keyId's for the specified key, objectTypeId and objectId.
  `String`
  `getKeyIdsByNames(String userName, String password, String outputFormat, String keys, String objectTypeId, String objectId)`
  Returns the Map of keyId's for the specified List of keys, objectTypeId and objectId.
  `String`
  `getKeyIdsForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)`
  Returns the Map of keyId's for the specified objectTypeId and objectId.
  `String`
  `getKeyIdsForObjectIds(String userName, String password, String outputFormat, String key, String objectTypeId, String listobjectIdJson)`
  Returns the Map of keyId's for the specified key, objectTypeId and List of objectId's.outputFormat can be either JSON or XML.
  `String`
  `getKeyValueObject(String userName, String password, String outputFormat, String objectType, String objectId)`
  Returns the List of KeyValue Objects for the specified objectTypeId and objectId.
  `String`
  `getKeyValueObjects(String userName, String password, String outputFormat, String objectType, String objectIdsJson)`
  Returns the Map of KeyValue Objects for the specified objectTypeId and List of objectIds.
  `String`
  `getKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)`
  Returns Map of Key Value pairs for the specified objectTypeId and objectId.outputFormat can be either JSON or XML.
  `String`
  `updateKeyValueById(String userName, String password, String outputFormat, String keyId, String value, String objectTypeId, String objectId)`
  Updates the single Key Value pair for the specified keyId, value, objectTypeId and objectId.
  `String`
  `updateKeyValueByIdForObjectIds(String userName, String password, String outputFormat, String keyId, String value, String objectTypeId, String listobjectIdsJson)`
  Updates the single key value pair for the specified keyId, value, objectTypeId and List of objectId's.
  `String`
  `updateKeyValueByIdsForObjectId(String userName, String password, String outputFormat, String keyIdValueMapJson, String objectTypeId, String objectId)`
  Updates the Map of Key Value pairs for the specified Map KeyIdValue, objectTypeId and objectId.outputFormat can be either JSON or XML.
  `String`
  `updateKeyValueByIdsForObjectIds(String userName, String password, String outputFormat, String keyIdValueMapJson, String objectTypeId, String objectIds)`
  Updates the Map of Key Value pairs for the specified Map of KeyIdValue, objectTypeId and List of objectId'S.outputFormat can be either JSON or XML.
  `String`
  `updateKeyValueByIdsForObjectTypeIdsMap(String userName, String password, String outputFormat, String keyIdValue, String ObjectTypeIdListObjectId)`
  Updates the Map of Key Value pairs for the specified Map of KeyIdValue, Map of objectTypeId's and List of objectId's.outputFormat can be either JSON or XML.
  `String`
  `updateKeyValueObject(String userName, String password, String outputFormat, String keyValuejson)`
  Updates the Key Value pair Object for the specified KeyValue object, Specifying Id,ObjectTypeId,ObjectId and Key in object is mandatory.
  `String`
  `updateKeyValueObjects(String userName, String password, String outputFormat, String keyValuejsonlist)`
  Updates the List of Key Value pair Objects for the specified List of KeyValue objects, Specifying Id ,ObjectTypeId,ObjectId,Key in object is mandatory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyValueService

    public KeyValueService()

- ## Method Details

  - ### addKeyValue

    public String addKeyValue(String userName, String password, String outputFormat, String key, String value, String objectTypeId, String objectId)
    Deprecated.
    Inserts a single keyValue pair for the specified objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and key are mandatory.
    objectTypeId refers to the id given to a specific objectType such as SYSTEM, ENVIRONMENT, TABLE, COLUMN, COMPONENT, PROJECT, SUBJECT, MAPPING, MAPPING_ROW. objectId refers to the id of the type of the object specified.
    For Instance: 1) If objectTypeId of objectType SYSTEM is 1 then corresponding objectId will be the id of the particular system.
    2) If objectTypeId of objectType TABLE is 3 then corresponding objectId will be the id of the particular table.
    Parameters:
      `key` - String
      `value` - String
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is created successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      6.2

  - ### addKeyValuesForObjectId

    public String addKeyValuesForObjectId(String userName, String password, String outputFormat, String keyvalueMapJson, String objectTypeId, String objectId)
    Deprecated.
    Inserts a Map of Key Value pairs for the specified objectTypeId and objectId.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and keyvalueMapJson are mandatory
    Parameters:
      `keyvalueMapJson` - Map Object
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is created successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyvalueMapJson' JSON :
      {
      "key1": "value1",
      "key2": "value2"
      }

    Since:
      6.2

  - ### addKeyValueForObjectIds

    public String addKeyValueForObjectIds(String userName, String password, String outputFormat, String key, String value, String objectTypeId, String objectIdListJson)
    Deprecated.
    Inserts a single Key Value pair for the specified objectTypeId and List of objectId's. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectIds and key are mandatory.
    List of objectId's refers to the id's of all objects which are of same objectType(same objectTypeId).
    Parameters:
      `key` - String
      `value` - String
      `objectTypeId` - String
      `objectIdListJson` - objectIds List
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is created successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'objectIdListJson' JSON :
      {
      "objectId": [1,2]
      }

    Since:
      6.2

  - ### addKeyValuesForObjectIds

    public String addKeyValuesForObjectIds(String userName, String password, String outputFormat, String keyvalueMapJson, String objectTypeId, String objectIdListJson)
    Deprecated.
    Inserts a Map of Key Value pairs for the specified objectTypeId and List of objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectIds and keyvalueMapJson are mandatory
    List of objectId's refers to the id's of all objects which are of same objectType(same objectTypeId).
    Adds the same Key Value pairs to all objects with the same objectTypeId.
    Parameters:
      `keyvalueMapJson` - Map Object
      `objectTypeId` - String
      `userName` - String
      `password` - String
      `objectIdListJson` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyvalueMapJson' JSON :
      {
      "key1": "value1",
      "key2": "value2"
      }

      Sample 'objectIdListJson' JSON :
      {
      "objectId": [1,2]
      }

    Since:
      6.2

  - ### addKeyValuesForObjectTypeIdsMap

    public String addKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String keyValueMapJson, String ObjectTypeIdsListOfObjectIdsJson)
    Deprecated.
    Inserts a Map of Key Value pairs for the specified Map of objectTypeId's and objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeIds,ObjectIds and Keys are mandatory
    Adds the same Key Value pairs to all objectId's with the same objectTypeId.
    Map of objectTypeId's has collection of multiple objectType's. Where each of the objectTypeId consists of the List of objectId's.
    Parameters:
      `ObjectTypeIdsListOfObjectIdsJson` - String
      `userName` - String
      `keyValueMapJson` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyValueMapJson' JSON :
      {
      "key1": "value1",
      "key2": "value2"
      }

      Sample 'ObjectTypeIdsListOfObjectIdsJson' JSON :
      {
      9: [283,284],
      8:[74,76]
      }

    Since:
      6.2

  - ### addKeyValueForObjectTypeIdsMap

    public String addKeyValueForObjectTypeIdsMap(String userName, String password, String outputFormat, String Key, String Value, String ObjectTypeIdsListOfObjectIdsJson)
    Deprecated.
    Inserts a single key value pair for the specified Map of objectTypeId's and objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeIds,ObjectIds and Key are mandatory
    Map of objectTypeId's has collection of multiple objectType's. Where each of the objecTypeId consists of the List of objectId's.
    If Key Value pair is added successfully then RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `Key` - String
      `Value` - String
      `ObjectTypeIdsListOfObjectIdsJson` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'ObjectTypeIdsListOfObjectIdsJson' JSON :
      {
      9:[1,2],
      8:[3,4]
      }

    Since:
      6.2

  - ### addKeyValueObject

    public String addKeyValueObject(String userName, String password, String outputFormat, String keyValuejson)
    Inserts a single KeyValue pair object for the specified KeyValue object,objectTypeId and objectId.OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and key in object is mandatory
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `keyValuejson` -
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyValuejson' for this:
      {
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "Value1",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "value": "",
      "pref_type": "Consolidated",
      "key": "",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }

    Since:
      8.2

  - ### addKeyValueObjectByObjectId

    public String addKeyValueObjectByObjectId(String userName, String password, String outputFormat, String keyValuejson, String objectType, String objectId)
    Inserts a single KeyValue pair object for the specified KeyValue object,objectTypeId and objectId.OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and key are mandatory
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `keyValuejson` -
      `objectType` -
      `objectId` -
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyValuejson' for this:
      {
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "Value1",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }

    Since:
      8.2

  - ### addKeyValueObjects

    public String addKeyValueObjects(String userName, String password, String outputFormat, String keyValuejsonlist, String objectType, String objectId)
    Inserts a multiple KeyValue pair objects for the specified List of KeyValue objects,objectTypeId and objectId.OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and keyValuejsonlist are mandatory
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `keyValuejsonlist` -
      `objectType` -
      `objectId` -
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyValuejsonlist' JSON :
      [
      {
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      },
      {
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }
      ]

    Since:
      8.2

  - ### addKeyValueObjectsMap

    public String addKeyValueObjectsMap(String userName, String password, String outputFormat, String objectType, String objectIdsListOfKeyValuesJson)
    Inserts multiple key-value pair objects for the specified node type and given objectIds along with key-value objects. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the nodeType, objectIds and keyValuejsonlist are mandatory.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
      `objectType` - String
      `objectIdsListOfKeyValuesJson` - String
    Returns:
      String - If Key Value pair is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'keyValuejsonlist' JSON :
      {
      "1":[
      {
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      },
      {
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "id": 0,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }
      ]
      }

  - ### getAllKeyValuesForObjectId

    public String getAllKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)
    Returns the key value pairs for the specified objectTypeId and objectId.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectId are mandatory
    Parameters:
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - JSONArray of key , values
    Since:
      6.2

  - ### getKeyIdsByName

    public String getKeyIdsByName(String userName, String password, String outputFormat, String key, String objectTypeId, String objectId)
    Returns the List of keyId's for the specified key, objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId ,ObjectId and key are mandatory
    Parameters:
      `key` - String
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - List of KeyId's in the form of JSON String.
    Since:
      6.2

  - ### getKeyIdsForObjectIds

    public String getKeyIdsForObjectIds(String userName, String password, String outputFormat, String key, String objectTypeId, String listobjectIdJson)
    Returns the Map of keyId's for the specified key, objectTypeId and List of objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId ,ObjectIds and Key are mandatory
    Parameters:
      `key` - String
      `objectTypeId` - String
      `listobjectIdJson` - objectIds List
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - Map of KeyNames and its List of KeyId's in the form of JSON String.

      Sample 'listobjectIdJson' JSON :
      {
      "objectId":[283,284]
      }

    Since:
      6.2

  - ### getKeyValuesForObjectId

    public String getKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)
    Returns Map of Key Value pairs for the specified objectTypeId and objectId.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectId are mandatory
    Parameters:
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - Map of KeyValue pairs in the form of JSON String.
    Since:
      6.2

  - ### getAllKeyValuesForObjectTypeIdsMap

    public String getAllKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String ObjectTypeIdsMapWithObjectIdsListJson)
    Returns Map of Key Value pairs for the specified Map of objectTypeId's and List of objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeIds and ObjectIds are mandatory
    Parameters:
      `ObjectTypeIdsMapWithObjectIdsListJson` - String - ObjectTypeIds,List of ObjectIds Map object
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - KeyValue pairs Map Object in the form of JSON String

      Sample 'ObjectTypeIdsMapWithObjectIdsListJson' JSON :
      {
      9:[283,284],
      8:[74,76]
      }

    Since:
      6.2

  - ### getKeyIdsForObjectId

    public String getKeyIdsForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)
    Returns the Map of keyId's for the specified objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectId are mandatory
    Parameters:
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - Map of KeyNames and its List of KeyId's in the form of JSON String.
    Since:
      6.2

  - ### getKeyIdsByNames

    public String getKeyIdsByNames(String userName, String password, String outputFormat, String keys, String objectTypeId, String objectId)
    Returns the Map of keyId's for the specified List of keys, objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId ,ObjectId and Keys are mandatory
    Parameters:
      `keys` - List
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - Map of KeyNames and its List of KeyId's in the form of JSON String.

      Sample 'keys' JSON :
      {
      keys:[key1,key2]
      }

    Since:
      6.2

  - ### getAllKeyIdsForObjectTypeIdsMap

    public String getAllKeyIdsForObjectTypeIdsMap(String userName, String password, String outputFormat, String ObjectTypeIdListObjectId)
    Returns the Map of keyId's for the specified Map of objectTypeId and List of objectIds. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectIds are mandatory
    Parameters:
      `ObjectTypeIdListObjectId` - Map
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - Map of KeyId's in the form of JSON String.

      Sample 'ObjectTypeIdListObjectId' JSON :
      {
      "8":[74,76]
      }

    Since:
      6.2

  - ### getKeyValueObject

    public String getKeyValueObject(String userName, String password, String outputFormat, String objectType, String objectId)
    Returns the List of KeyValue Objects for the specified objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectId are mandatory
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - String
      `objectId` - String
    Returns:
      String - List of KeyValue Objects in the form of JSON String.
    Since:
      8.2

  - ### getKeyValueObjects

    public String getKeyValueObjects(String userName, String password, String outputFormat, String objectType, String objectIdsJson)
    Returns the Map of KeyValue Objects for the specified objectTypeId and List of objectIds. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectIds are mandatory
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - String
      `objectIdsJson` - String
    Returns:
      String - Map of KeyValue Objects in the form of JSON String.

      Sample 'objectIdsJson' JSON :
      [283,284]

    Since:
      8.2

  - ### updateKeyValueById

    public String updateKeyValueById(String userName, String password, String outputFormat, String keyId, String value, String objectTypeId, String objectId)
    Updates the single Key Value pair for the specified keyId, value, objectTypeId and objectId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId ,ObjectId and KeyId are mandatory
    Parameters:
      `keyId` - String
      `value` - String
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is updated successfully, it returns True along with the count of updated keyValues, from APIConstants.UPDATE_KEY_COUNT otherwise returns False.
    Since:
      6.2

  - ### updateKeyValueByIdForObjectIds

    public String updateKeyValueByIdForObjectIds(String userName, String password, String outputFormat, String keyId, String value, String objectTypeId, String listobjectIdsJson)
    Updates the single key value pair for the specified keyId, value, objectTypeId and List of objectId's. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectIds and keyId are mandatory
    Updates the same Key Value pair for all objects with the same objectTypeId.
    Parameters:
      `keyId` - String
      `value` - String
      `objectTypeId` - String
      `listobjectIdsJson` - objectIds List
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is updated successfully, it returns True along with the count of updated keyValues, from APIConstants.UPDATE_KEY_COUNT otherwise returns False.

      Sample 'listobjectIdsJson' JSON :
      {
      "objectId":[74,76]
      }

    Since:
      6.2

  - ### updateKeyValueByIdsForObjectId

    public String updateKeyValueByIdsForObjectId(String userName, String password, String outputFormat, String keyIdValueMapJson, String objectTypeId, String objectId)
    Updates the Map of Key Value pairs for the specified Map KeyIdValue, objectTypeId and objectId.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and keyIdValueMapJson are mandatory
    Updates the key value pairs available in the Map to the same objectTypeId and objectId.
    Parameters:
      `keyIdValueMapJson` - KeyId,Value Map Object
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is updated successfully, it returns True along with the count of updated keyValues, from APIConstants.UPDATE_KEY_COUNT otherwise returns False.

      Sample 'keyIdValueMapJson' JSON :
      {
      "1": "value1",
      "2": "value2"
      }

    Since:
      6.2

  - ### updateKeyValueByIdsForObjectIds

    public String updateKeyValueByIdsForObjectIds(String userName, String password, String outputFormat, String keyIdValueMapJson, String objectTypeId, String objectIds)
    Updates the Map of Key Value pairs for the specified Map of KeyIdValue, objectTypeId and List of objectId'S.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectIds and keyIdValueMapJson are mandatory
    Updates the key value pairs available in the Map to all objectId's of same objectTypeId.
    Parameters:
      `keyIdValueMapJson` - KeyId,Value Map Object
      `objectTypeId` - String
      `objectIds` - List
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is updated successfully, it returns True along with the count of updated keyValues, from APIConstants.UPDATE_KEY_COUNT otherwise returns False.

      Sample 'keyIdValueMapJson' JSON :
      {
      "1": "value1",
      "2": "value2"
      }
      Sample 'objectIds' JSON :
      {
      "objectIds":[74,76]
      }

    Since:
      6.2

  - ### updateKeyValueByIdsForObjectTypeIdsMap

    public String updateKeyValueByIdsForObjectTypeIdsMap(String userName, String password, String outputFormat, String keyIdValue, String ObjectTypeIdListObjectId)
    Updates the Map of Key Value pairs for the specified Map of KeyIdValue, Map of objectTypeId's and List of objectId's.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectIds and keyIdValue are mandatory
    Updates the Key Value pairs available to all objectsId's in the List of the Map of bjectTypeId's.
    Parameters:
      `keyIdValue` - Map Object
      `ObjectTypeIdListObjectId` - Map Object
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is updated successfully, it returns True along with the count of updated keyValues, from APIConstants.UPDATE_KEY_COUNT otherwise returns False.

      Sample 'keyIdValue' JSON :
      {
      1:"value1",
      2:"value2"
      }

      Sample 'ObjectTypeIdListObjectId' JSON :
      {
      8:[74,76]
      }

    Since:
      6.2

  - ### updateKeyValueObject

    public String updateKeyValueObject(String userName, String password, String outputFormat, String keyValuejson)
    Updates the Key Value pair Object for the specified KeyValue object, Specifying Id,ObjectTypeId,ObjectId and Key in object is mandatory. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Updates the Key Value pair for available objectId and objectTypeId.
    Parameters:
      `userName` -
      `password` -
      `outputFormat` - - Valid values: JSON or XML
      `keyValuejson` -
    Returns:
      String - If the keyValue pair is updated successfully, it returns true otherwise it returns false.

      Sample 'keyValuejson' JSON :
      {
      "id": 0,
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "Value1",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }

    Since:
      8.2

  - ### updateKeyValueObjects

    public String updateKeyValueObjects(String userName, String password, String outputFormat, String keyValuejsonlist)
    Updates the List of Key Value pair Objects for the specified List of KeyValue objects, Specifying Id ,ObjectTypeId,ObjectId,Key in object is mandatory. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Updates the List of Key Value pair for available objectId and objectTypeId.
    Parameters:
      `userName` -
      `password` -
      `outputFormat` - - Valid values: JSON or XML
      `keyValuejsonlist` -
    Returns:
      String - If the List of keyValue pair is updated successfully, it returns true otherwise it returns false.

      Sample 'keyValuejsonlist' JSON :
      [
      {
      "id": 0,
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      },
      {
      "id": 0,
      "key": "",
      "value": "",
      "fromParent": false,
      "objectTypeId": "",
      "userData": {},
      "objectStyle": null,
      "defaultValue": "",
      "tooltip": null,
      "masterConfig": null,
      "fetchOnlyParent": false,
      "type": null,
      "mode": null,
      "valueRefId": null,
      "formatRefValues": true,
      "parentObjectTypeId": "",
      "systemBased": false,
      "html": false,
      "text": "",
      "order": 1,
      "fieldLength": 0,
      "visibility": 1,
      "keyStyle": null,
      "displayPolicy": 1,
      "published": false,
      "childId": 0,
      "fromChild": false,
      "processingOrder": 0,
      "dependencies": [],
      "expand": false,
      "consolidated": false,
      "parentKey": "",
      "configObject": null,
      "htmlDisabled": false,
      "fieldType": null,
      "regularExpression": null,
      "objectLevel": 0,
      "description": null,
      "mandatory": false,
      "enabled": false,
      "loadonStartup": 0,
      "parentObjectId": "",
      "selectedValue": null,
      "pref_type": "Consolidated",
      "objectId": "",
      "valueStyle": null,
      "combovalues": [],
      "uitype": "TEXTBOX",
      "keyValues": [],
      "parentId": 0,
      "component": "{}",
      "cellType": null
      }
      ]

    Since:
      8.2

  - ### deleteKeyValueByName

    public String deleteKeyValueByName(String userName, String password, String outputFormat, String key, String objectTypeId, String objectId)
    Deletes all Keys for the specified Key, ObjectId and Object Type Id.outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and key are mandatory
    Parameters:
      `key` - String
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.
    Since:
      6.2

  - ### deleteKeyValuesByNameForObjectId

    public String deleteKeyValuesByNameForObjectId(String userName, String password, String outputFormat, String listkeysJson, String objectTypeId, String objectId)
    Deletes all Keys for the specified List of keys, ObjectId and ObjectTypeId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying the objectTypeId, objectId and listkeysJson are mandatory
    Parameters:
      `listkeysJson` - keys List
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.

      Sample 'listkeysJson' JSON :
      {
      keys:[key1,key2]
      }

    Since:
      6.2

  - ### deleteKeyValueByIds

    public String deleteKeyValueByIds(String userName, String password, String outputFormat, String keyIdsMapJson)
    Deletes all Keys for the specified List of keyId's. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying KeyIds are mandatory
    KeyIds are unique Id's given to the Key Value Pairs.
    Parameters:
      `keyIdsMapJson` - keyIds List
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.

      Sample 'keyIdsMapJson' JSON :
      {
      "keyIds":[1,2]
      }

    Since:
      6.2

  - ### deleteAllKeyValuesForObjectId

    public String deleteAllKeyValuesForObjectId(String userName, String password, String outputFormat, String objectTypeId, String objectId)
    Deletes all Keys for the specified ObjectId and ObjectTypeId. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectId are mandatory
    Parameters:
      `objectTypeId` - String
      `objectId` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.
    Since:
      6.2

  - ### deleteAllKeyValuesForObjectIds

    public String deleteAllKeyValuesForObjectIds(String userName, String password, String outputFormat, String objectTypeId, String listobjectIdsJson)
    Delete all Keys for the specified ObjectTypeId and List of ObjectId's. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeId and ObjectIds are mandatory
    Parameters:
      `objectTypeId` - String
      `userName` - String
      `password` - String
      `listobjectIdsJson` - objectIds List
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.

      Sample 'listobjectIdsJson' JSON :
      {
      objectId:[1,2]
      }

    Since:
      6.2

  - ### deleteAllKeyValuesForObjectTypeIdsMap

    public String deleteAllKeyValuesForObjectTypeIdsMap(String userName, String password, String outputFormat, String mapOfObjectTypeIdsWithListOfObjectIdsJson)
    Deletes all Keys for the specified Map of ObjectTypeId and List of ObjectId's. OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Specifying ObjectTypeIds and ObjectIds are mandatory
    Parameters:
      `mapOfObjectTypeIdsWithListOfObjectIdsJson` - JsonString
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If the keyValue pair is deleted successfully, it returns True along with the count of deleted keyValues, from APIConstants.DELETE_KEY_COUNT otherwise returns False.

      Sample 'mapOfObjectTypeIdsWithListOfObjectIdsJson' JSON :
      {
      9:[1,2],
      8:[3,4]
      }

    Since:
      6.2